package ru.dbotthepony.mc.otm.compat.jade

import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters.loc
import ru.dbotthepony.mc.otm.core.math.RGBAColor

object JadeUids {
	val MATTERY_ENERGY: ResourceLocation = loc("mattery_energy")
	val MATTER_STORAGE: ResourceLocation = loc("matter_storage")
	val MATTERY_WORKER: ResourceLocation = loc("mattery_worker")

	val MATTER_BOTTLER: ResourceLocation = loc("matter_bottler")
	val MATTER_RECONSTRUCTOR: ResourceLocation = loc("matter_reconstructor")
}

object JadeTagKeys {
	val MATTERY_ENERGY_DATA = "otmJadeMatteryEnergyData"
	val MATTER_STORAGE_DATA = "otmJadeMatterStorageData"
	val MATTERY_WORKER_DATA = "otmJadeMatteryWorkerData"

	val MATTER_BOTTLER_DATA = "otmJadeMatterBottlerData"
	val MATTER_RECONSTRUCTOR_DATA = "otmJadeMatterReconstructorData"
}

object JadeColors {
	val ENERGY_COLOR = RGBAColor(231, 232, 0)
	val ENERGY_COLOR2 = RGBAColor(192, 193, 0)
	val MATTER_COLOR = RGBAColor(71, 255, 187)
}
